
Infrastructure - Task #2070

Story # 2067 (Closed): Refactor the index task generator and processor to improve scalability and performance

Implement the refactored index task generator

2011-11-29 14:05 - Dave Vieglais

Status: Closed Start date: 2011-11-29

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

The task generator and task processor will be re-using code, so some consideration of the location for the common code should be

made. Perhaps add the task queue code to d1_cn_common?

History

#1 - 2011-11-30 00:40 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2011-12-01 20:07 - Skye Roseboom

- Status changed from In Progress to Closed

created d1_cn_index_generator project to fulfill this requirement.  generator project is dependent on d1__cn_index_common.

IndexTaskGenerator is the implementation class of the index task generator.

It will be wired into a hazelcast listener as a daemon process in Task #2072
